# Class CIM_DiffServService
extends CIM_QoSService

DiffServService represents the use of standard or custom DiffServ services (associated with particular Per Hop Behaviors, PHBs) to implement a (higher-level) QoSService. Note that the DiffServService may be just one of a set of coordinated QoSSubServices that together implement a higher-level QoSService. The relationship between the QoSServices is described using the association, QoSSubService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_QoSService
|
+--CIM_DiffServService

## Direct Known Subclasses

CIM_AFService
CIM_EFService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

DiffServService represents the use of standard or custom DiffServ services (associated with particular Per Hop Behaviors, PHBs) to implement a (higher-level) QoSService. Note that the DiffServService may be just one of a set of coordinated QoSSubServices that together implement a higher-level QoSService. The relationship between the QoSServices is described using the association, QoSSubService.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DSCP | uint8 |
Deprecated | string | CIM_DiffServService.PHBID

Description

string

This property is an unsigned 8-bit integer, and defines the Differentiated Services Code Point (DSCP) that this link uses to represent various types of differentiated services through device-specific configuration commands. It is deprecated since this information is conveyed via filter lists, associated with ClassifierElements. The DiffServService is better represented as a Per Hop Behavior.

PHBID | uint16 |

Description

string

A 16-bit unsigned integer which identifies a particular per hop behavior, or family of per hop behaviors. The value is a Per Hop Behavior Identification Code, as defined in [R3140]. Note that as defined, these identification codes use the default, recommended, code points for PHBs as part of their structure. These values may well be different from the actual value used in the marker, as the marked value is domain-dependent. The ability to indicate the PHB Identification Code associated with a DiffServService is helpful when tying the QoSService to reference documents, and for inter-domain coordination and operation.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service